Bug 227026 - [maintainer update] net/vether-kmod: Update to g20180328
Summary: [maintainer update] net/vether-kmod: Update to g20180328
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jochen Neumeister
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-28 09:12 UTC by Henning Matyschok
Modified: 2018-04-09 18:24 UTC (History)
2 users (show)

See Also:


Attachments
Diff contains changes in Makefile and distversion. (1.35 KB, patch)
2018-03-28 09:12 UTC, Henning Matyschok
no flags Details | Diff
patch (1.26 KB, patch)
2018-03-28 16:16 UTC, Kurt Jaeger
pi: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Henning Matyschok 2018-03-28 09:12:20 UTC
Created attachment 191896 [details]
Diff contains changes in Makefile and distversion.

Redundant call of m_freem(9) removed in vether_start. If instance of if_vether(4) is not if_bridge(4) member, any dequeued mbuf(9) is marked as received by itself and free'd automatically.
Comment 1 Kurt Jaeger freebsd_committer 2018-03-28 16:16:56 UTC
Created attachment 191912 [details]
patch

This new patch works against the current ports tree and builds on current, 11.1a and 10.3i. Please approve.
Comment 2 Henning Matyschok 2018-04-05 14:59:44 UTC
Approved.(In reply to Kurt Jaeger from comment #1)
Comment 3 commit-hook freebsd_committer 2018-04-09 18:23:43 UTC
A commit references this bug:

Author: joneum
Date: Mon Apr  9 18:23:33 UTC 2018
New revision: 466876
URL: https://svnweb.freebsd.org/changeset/ports/466876

Log:
  net/vether-kmod: Update to latest commit

  PR:		227026
  Submitted by:	Henning Matyschok <henning.matyschok@outlook.com> (maintainer)

Changes:
  head/net/vether-kmod/Makefile
  head/net/vether-kmod/distinfo
Comment 4 Jochen Neumeister freebsd_committer 2018-04-09 18:24:21 UTC
Landed, thanks :-)